rio_match_bus
Prev | Device model support | Next

## Name

rio_match_bus — Tell if a RIO device structure has a matching RIO

## Synopsis

`int rio_match_bus (` | struct device * | dev,
| struct device_driver * | drv`)`;

## Arguments

`dev`

  the standard device structure to match against

`drv`

  the standard driver structure containing the ids to match against

## Description

Used by a driver to check whether a RIO device present in the system is in its list of supported devices. Returns 1 if there is a matching struct rio_device_id or 0 if there is no match.

## Description

Used by a driver to check whether a RIO device present in the system is in its list of supported devices. Returns 1 if there is a matching struct rio_device_id or 0 if there is no match.

Prev | Up | Next
rio_device_remove | Home | rio_bus_init